Package ru.bitel.bgbilling.modules.megafon.common.service

# Interface MegafonService

public interface MegafonService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activateMsisdn(String msisdn)`
  Инициация процесса активация сим-карты
  `void`
  `cancelPayment(MegafonPayment payment)`
  `void`
  `deleteOption(int optionId)`
  `void`
  `deleteOptionKit(int optionKitId)`
  `void`
  `deleteProduct(int productId)`
  `MegafonOption`
  `getMegafonOption(int optionId)`
  `SearchResult<MegafonPayment>`
  `getMegafonPayments(Page page, LocalDate dateFrom, LocalDate dateTo)`
  `String`
  `getMsisdnListInActivateProcess()`
  Получение списка номеров сим-карты в процессе активации и их статуса
  `MegafonOptionKit`
  `getOptionKit(int optionKitId)`
  `List<MegafonOptionKit>`
  `getOptionKitList()`
  `List<MegafonOption>`
  `getOptionList()`
  `MegafonProduct`
  `getProduct(int productId)`
  `List<MegafonProduct>`
  `getProductList()`
  `void`
  `updateMegafonPayment(MegafonPayment payment)`
  `void`
  `updateOption(MegafonOption option)`
  `void`
  `updateOptionKit(MegafonOptionKit optionKit)`
  `void`
  `updateProduct(MegafonProduct product)`

- ## Method Details

  - ### getProductList

    List<MegafonProduct> getProductList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProduct

    MegafonProduct getProduct(int productId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateProduct

    void updateProduct(MegafonProduct product) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteProduct

    void deleteProduct(int productId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getOptionList

    List<MegafonOption> getOptionList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMegafonOption

    MegafonOption getMegafonOption(int optionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateOption

    void updateOption(MegafonOption option) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteOption

    void deleteOption(int optionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getOptionKitList

    List<MegafonOptionKit> getOptionKitList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateOptionKit

    void updateOptionKit(MegafonOptionKit optionKit) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getOptionKit

    MegafonOptionKit getOptionKit(int optionKitId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteOptionKit

    void deleteOptionKit(int optionKitId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMegafonPayments

    SearchResult<MegafonPayment> getMegafonPayments(Page page, LocalDate dateFrom, LocalDate dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateMegafonPayment

    void updateMegafonPayment(MegafonPayment payment) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelPayment

    void cancelPayment(MegafonPayment payment) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### activateMsisdn

    void activateMsisdn(String msisdn) throws ru.bitel.bgbilling.common.BGException
    Инициация процесса активация сим-карты
    Parameters:
      `msisdn` - номер сим-карты
    Throws:
      `Exception` - если данный номер уже находится в процессе активации
      `ru.bitel.bgbilling.common.BGException`

  - ### getMsisdnListInActivateProcess

    String getMsisdnListInActivateProcess() throws ru.bitel.bgbilling.common.BGException
    Получение списка номеров сим-карты в процессе активации и их статуса
    Returns:
      JSONArray
    Throws:
      `ru.bitel.bgbilling.common.BGException`